[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.HintPause

The delay before a Hint is shown for a form or control.

## Declaration

Source position: forms.pp line 1734

`public property TApplication.HintPause : Integer read FHintPause write FHintPause;`

## Description

HintPause is an Integer property with the number of milliseconds to wait before a Hint window is displayed for a form or control.

The default value is defined in the DefHintPause constant and assigned to the property in the constructor for the application instance.

HintPause is used in the ActivateHint method, and provides the interval for the internal timer instance used for hints in the application.

## See also

TApplication.Hint |  | The current Hint text active for the application.